<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class InvoiceItem extends Model
{
    use HasFactory;

    protected $guarded = []; // সাময়িকভাবে সব এলাউ করে চেক করুন

    // কন্ট্রোলারে with('fee_type') লিখলে এই নামটিই দিতে হবে
    public function fee_type()
	{
		// সরাসরি ফুল পাথ ব্যবহার করে
		return $this->belongsTo(\App\Models\FeeType::class, 'fee_type_id');
	}

    public function invoice()
    {
        return $this->belongsTo(Invoice::class, 'invoice_id');
    }
}